#!/bin/bash

# Copyright (c) xFusion Digital Technologies Co., Ltd. 2022. All rights reserved.
# Description: link state test
# Author: xFusion Digital Technologies
# Create: 2022-1-17

source /OSM/script/os_load_base.sh
IPCC_SUDO="/bin/ipcc_sudo.sh"

fn_test_gateway()
{
    local l_gateway=$1
    local l_iface=$2
    if [ -z "${l_gateway}" ] || [ -z "${l_iface}" ]; then
        sudo ${IPCC_SUDO} 18
	return 1
    fi
    
    sudo ${IPCC_SUDO} 12 ${l_iface} ${l_gateway}
    if [ $? -ne 0 ]; then
	sudo ${IPCC_SUDO} 13 ${l_iface} ${l_gateway}
        if [ $? -eq 0 ]; then
            sudo ${IPCC_SUDO} 14 ${l_gateway}
        else
            sudo ${IPCC_SUDO} 15 ${l_gateway}
        fi
    fi
}

count=$(/sbin/route -n | awk  '{print $1}' | grep -w "0.0.0.0" | wc -l)
if [ "${count}" -eq 0 ]; then
    sudo ${IPCC_SUDO} 16
    exit 0
elif [ "${count}" -gt 1 ]; then
    sudo ${IPCC_SUDO} 17
fi

/sbin/route -n | awk '$1 == "0.0.0.0" {print $2 "\t" $8}' | while read line
do
    gateway=$(echo "${line}" | awk '{print $1}')
    iface=$(echo "${line}" | awk '{print $2}')
    fn_test_gateway "${gateway}" "${iface}"
done


